# Generated by Django 2.2 on 2019-05-04 11:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('timetableapp', '0026_auto_20190504_1050'),
    ]

    operations = [
        migrations.CreateModel(
            name='TimetableRecording',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lesson', models.PositiveSmallIntegerField(choices=[(1, 'numerator - mon - 1 lesson'), (2, 'numerator - mon - 2 lesson'), (3, 'numerator - mon - 3 lesson'), (4, 'numerator - mon - 4 lesson'), (5, 'numerator - mon - 5 lesson'), (33, 'numerator - tue - 1 lesson'), (34, 'numerator - tue - 2 lesson'), (35, 'numerator - tue - 3 lesson'), (36, 'numerator - tue - 4 lesson'), (37, 'numerator - tue - 5 lesson'), (65, 'numerator - wed - 1 lesson'), (66, 'numerator - wed - 2 lesson'), (67, 'numerator - wed - 3 lesson'), (68, 'numerator - wed - 4 lesson'), (69, 'numerator - wed - 5 lesson'), (97, 'numerator - thu - 1 lesson'), (98, 'numerator - thu - 2 lesson'), (99, 'numerator - thu - 3 lesson'), (100, 'numerator - thu - 4 lesson'), (101, 'numerator - thu - 5 lesson'), (129, 'numerator - fri - 1 lesson'), (130, 'numerator - fri - 2 lesson'), (131, 'numerator - fri - 3 lesson'), (132, 'numerator - fri - 4 lesson'), (133, 'numerator - fri - 5 lesson'), (161, 'numerator - sat - 1 lesson'), (162, 'numerator - sat - 2 lesson'), (163, 'numerator - sat - 3 lesson'), (164, 'numerator - sat - 4 lesson'), (165, 'numerator - sat - 5 lesson'), (257, 'denominator - mon - 1 lesson'), (258, 'denominator - mon - 2 lesson'), (259, 'denominator - mon - 3 lesson'), (260, 'denominator - mon - 4 lesson'), (261, 'denominator - mon - 5 lesson'), (289, 'denominator - tue - 1 lesson'), (290, 'denominator - tue - 2 lesson'), (291, 'denominator - tue - 3 lesson'), (292, 'denominator - tue - 4 lesson'), (293, 'denominator - tue - 5 lesson'), (321, 'denominator - wed - 1 lesson'), (322, 'denominator - wed - 2 lesson'), (323, 'denominator - wed - 3 lesson'), (324, 'denominator - wed - 4 lesson'), (325, 'denominator - wed - 5 lesson'), (353, 'denominator - thu - 1 lesson'), (354, 'denominator - thu - 2 lesson'), (355, 'denominator - thu - 3 lesson'), (356, 'denominator - thu - 4 lesson'), (357, 'denominator - thu - 5 lesson'), (385, 'denominator - fri - 1 lesson'), (386, 'denominator - fri - 2 lesson'), (387, 'denominator - fri - 3 lesson'), (388, 'denominator - fri - 4 lesson'), (389, 'denominator - fri - 5 lesson'), (417, 'denominator - sat - 1 lesson'), (418, 'denominator - sat - 2 lesson'), (419, 'denominator - sat - 3 lesson'), (420, 'denominator - sat - 4 lesson'), (421, 'denominator - sat - 5 lesson')], default=0, verbose_name='Lesson number')),
                ('classroom', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='timetableapp.Classroom', verbose_name='Classroom')),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='timetableapp.Group', verbose_name='Group')),
                ('record', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='timetableapp.CurriculumRecord', verbose_name='Curriculum record')),
                ('teacher', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='timetableapp.Teacher', verbose_name='Teacher')),
            ],
            options={
                'verbose_name': 'Timetable recording',
                'verbose_name_plural': 'Timetable recordings',
                'unique_together': {('record', 'group', 'lesson'), ('lesson', 'classroom')},
            },
        ),
        migrations.DeleteModel(
            name='TimetableRecord',
        ),
    ]
